<template>
  <footer
    v-show="isFooterBarVisible"
    class="footer has-background-zerow-green-dark has-text-zerow-green"
  >
    <div class="container">
      <div class="content">
        <b> <div class="is-size-4 has-text-zerow-green">
          SILL4 Demo - Mobile Press
        </div>
        </b>
        <div class="tile">
          <div class="tile is-child">
            <p>
              This demo is part of the ZeroW Dataspace. More info about the ZeroW Dataspace can be found <a
                href="https://zerow.dataspac.es/"
                target="_blank"
              >here</a>.
              The ZeroW Dataspace is part of the <a
                href="https://zerow-project.eu/"
                target="_blank"
              >ZeroW Project</a>. The architecture is based on the <a
                href="https://docs.internationaldataspaces.org/ids-ram-4/"
                target="_blank"
              >Reference Architecture Model</a> of the <a
                href="https://internationaldataspaces.org/"
                target="_blank"
              >International Data Spaces Association</a>. The Connector software is available on <a
                href="https://gitlab.com/tno-tsg"
                target="_blank"
              >GitLab.</a>

              For more information contact <a href="mailto:erik.cornelisse@tno.nl">Erik Cornelisse</a>, <a href="mailto:maarten.kollenstart@tnonl">Maarten Kollenstart</a> or <a href="mailto:willem.datema@tno.nl">Willem Datema</a>.
            </p>
          </div>
        </div>
        <div class="tile my-5">
          <div class="tile is-3 is-child">
            <div class="footer-copyright">
              <b>&copy; {{ year }}, ZeroW Dataspace</b>.
            </div>
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
import { defineComponent } from '@vue/composition-api'
import { mapState } from 'vuex'

export default defineComponent({
  name: 'FooterBar',
  data () {
    return {
      year: new Date().getFullYear()
    }
  },
  computed: {
    ...mapState([
      'isFooterBarVisible'
    ])
  }
})
</script>
